// 疯言疯语相关API服务
import apiService from './apiService'

class NonsenseService {
  /**
   * 获取所有疯言疯语内容
   * @returns {Promise<import('../types').ApiResponse<import('../types').Nonsense[]>>}
   */
  getAllNonsense() {
    return apiService.get('/nonsense')
  }
  /**
   * 根据分页信息获取疯言疯语内容
   * @param {import('../types').NosensePageDto} page - 分页信息对象
   * @returns {Promise<import('../types').ApiResponse<import('../types').Nonsense[]>>}
   */
  getNonsenseByStatus(page){
    return apiService.get(`/nonsense/page?status=${page.status}&pageNum=${page.pageNum}&pageSize=${page.pageSize}`)
  }
  /**
   * 保存疯言疯语内容
   * @param {import('../types').Nonsense} nonsense - 疯言疯语内容对象
   * @returns {Promise<import('../types').ApiResponse<import('../types').Nonsense>>}
   */
  createNonsense(nonsense){
    return apiService.post('/nonsense', nonsense)
  }
  /**
   * 删除疯言疯语内容
   * @param {number} id - 疯言疯语内容ID
   * @returns {Promise<import('../types').ApiResponse<boolean>>}
   */
  deleteNonsense(id){
    return apiService.delete(`/nonsense/${id}`)
  }
  /**
   * 更新疯言疯语内容
   * @param {import('../types').Nonsense} nonsense - 疯言疯语内容对象
   * @returns {Promise<import('../types').ApiResponse<import('../types').Nonsense>>}
   */
  updateNonsense(nonsense){
    return apiService.put('/nonsense', nonsense)
  }
}
export default new NonsenseService()